## MrpError

MrpError — Error reporting.

## Functions

GQuark | mrp_error_quark ()

## Types and Values

#define | MRP_ERROR
enum | MrpError

## Includes

    #include <libplanner/mrp-error.h>

## Description

libplanner uses GError to report errors.

The GQuark "mrp-error-quark" is used as the domain. Use MRP_ERROR macro to get it.

MrpError lists the error codes used.

## Functions

### mrp_error_quark ()

    GQuark
    mrp_error_quark (void);

Get libplanner error domain.

#### Returns

a GQuark

## Types and Values

### MRP_ERROR

    #define MRP_ERROR mrp_error_quark ()

Error domain for libmrproject.

### enum MrpError

Error codes returned by libmrproject functions.

#### Members

MRP_ERROR_TASK_RELATION_FAILED | task relation failed. |
MRP_ERROR_TASK_MOVE_FAILED | task move failed. |
MRP_ERROR_LOAD_FILE_DONT_EXIST | load file doesn't exist. |
MRP_ERROR_LOAD_FILE_INVALID | load file is invalid. |
MRP_ERROR_SAVE_FILE_EXIST | save file exists. |
MRP_ERROR_SAVE_FILE_CHANGED | save file changed. |
MRP_ERROR_EXPORT_UNSUPPORTED | export unsupported. |
MRP_ERROR_EXPORT_FAILED | export failed. |
MRP_ERROR_NO_FILE_MODULE | no file module. |
MRP_ERROR_SAVE_WRITE_FAILED | save write failed. |
MRP_ERROR_INVALID_URI | invalid URI. |
MRP_ERROR_FAILED | General error (should avoid using this). |